Test::NoGoods::NoGoods< Model, ValBranch > Class Template Reference

Base class for no-good tests More...

## Public Member Functions

| NoGoods (ValBranch vb0, unsigned int t0, bool a0, bool n0)
| Initialize test.
virtual bool | run (void)
| Run test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Static Public Member Functions

static std::string | str (unsigned int i)
| Map unsigned integer to string.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.

## Protected Attributes

ValBranch | vb
| How to branch.
unsigned int | t
| Number of threads to use.
bool | a
| Whether to also assign some variables.
bool | n
| Whether to also create branchers without no-good literals.

## Additional Inherited Members

Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

template<class Model, class ValBranch>
class Test::NoGoods::NoGoods< Model, ValBranch >

Base class for no-good tests

Definition at line 206 of file nogoods.cpp.

## Constructor & Destructor Documentation

## NoGoods()

template<class Model, class ValBranch>

Test::NoGoods::NoGoods< Model, ValBranch >::NoGoods | ( | ValBranch | vb0,
|  | unsigned int | t0,
|  | bool | a0,
|  | bool | n0 )

inline

Initialize test.

Definition at line 224 of file nogoods.cpp.

## Member Function Documentation

## str()

template<class Model, class ValBranch>

std::string Test::NoGoods::NoGoods< Model, ValBranch >::str | ( | unsigned int | i | ) |

inline static

Map unsigned integer to string.

Definition at line 218 of file nogoods.cpp.

## run()

template<class Model, class ValBranch>

virtual bool Test::NoGoods::NoGoods< Model, ValBranch >::run | ( | void |  | ) |

inline virtual

Run test.

Implements Test::Base.

Definition at line 229 of file nogoods.cpp.

## Member Data Documentation

## vb

template<class Model, class ValBranch>

ValBranch Test::NoGoods::NoGoods< Model, ValBranch >::vb

protected

How to branch.

Definition at line 209 of file nogoods.cpp.

## t

template<class Model, class ValBranch>

unsigned int Test::NoGoods::NoGoods< Model, ValBranch >::t

protected

Number of threads to use.

Definition at line 211 of file nogoods.cpp.

## a

template<class Model, class ValBranch>

bool Test::NoGoods::NoGoods< Model, ValBranch >::a

protected

Whether to also assign some variables.

Definition at line 213 of file nogoods.cpp.

## n

template<class Model, class ValBranch>

bool Test::NoGoods::NoGoods< Model, ValBranch >::n

protected

Whether to also create branchers without no-good literals.

Definition at line 215 of file nogoods.cpp.

The documentation for this class was generated from the following file:

- test/nogoods.cpp